<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:26 CEST 2019 -->
<title>FbWireOperations (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FbWireOperations (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.ProcessAttachCallback.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/FbWireOperations.html" target="_top">Frames</a></li>
<li><a href="FbWireOperations.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire</div>
<h2 title="Interface FbWireOperations" class="title">Interface FbWireOperations</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractWireOperations.html" title="class in org.firebirdsql.gds.ng.wire">AbstractWireOperations</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/version10/V10WireOperations.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10WireOperations</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/version11/V11WireOperations.html" title="class in org.firebirdsql.gds.ng.wire.version11">V11WireOperations</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/version13/V13WireOperations.html" title="class in org.firebirdsql.gds.ng.wire.version13">V13WireOperations</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FbWireOperations</span></pre>
<div class="block">Common connection operations shared by database and service handles</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.ProcessAttachCallback.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireOperations.ProcessAttachCallback</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#authReceiveResponse-org.firebirdsql.gds.ng.wire.FbWireAttachment.AcceptPacket-org.firebirdsql.gds.ng.dbcrypt.DbCryptCallback-org.firebirdsql.gds.ng.wire.FbWireOperations.ProcessAttachCallback-">authReceiveResponse</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.AcceptPacket.html" title="class in org.firebirdsql.gds.ng.wire">FbWireAttachment.AcceptPacket</a>&nbsp;acceptPacket,
                   <a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptCallback.html" title="interface in org.firebirdsql.gds.ng.dbcrypt">DbCryptCallback</a>&nbsp;dbCryptCallback,
                   <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.ProcessAttachCallback.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireOperations.ProcessAttachCallback</a>&nbsp;processAttachCallback)</code>
<div class="block">Receive authentication response from the server.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#consumePackets-int-org.firebirdsql.gds.ng.WarningMessageCallback-">consumePackets</a></span>(int&nbsp;numberOfResponses,
              <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)</code>
<div class="block">Consumes packets notifying for warnings, but ignoring exceptions thrown from the packet.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#enqueueDeferredAction-org.firebirdsql.gds.ng.wire.DeferredAction-">enqueueDeferredAction</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/DeferredAction.html" title="interface in org.firebirdsql.gds.ng.wire">DeferredAction</a>&nbsp;deferredAction)</code>
<div class="block">Enqueue a deferred action.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/XdrStreamAccess.html" title="interface in org.firebirdsql.gds.ng.wire">XdrStreamAccess</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#getXdrStreamAccess--">getXdrStreamAccess</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#processDeferredActions--">processDeferredActions</a></span>()</code>
<div class="block">Processes any deferred actions.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#processResponse-org.firebirdsql.gds.ng.wire.Response-">processResponse</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a>&nbsp;response)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#processResponseWarnings-org.firebirdsql.gds.ng.wire.Response-org.firebirdsql.gds.ng.WarningMessageCallback-">processResponseWarnings</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a>&nbsp;response,
                       <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)</code>
<div class="block">Checks if the response included a warning and signals that warning to the
 WarningMessageCallback.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#readGenericResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readGenericResponse</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;callback)</code>
<div class="block">Convenience method to read a Response to a GenericResponse</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#readOperationResponse-int-org.firebirdsql.gds.ng.WarningMessageCallback-">readOperationResponse</a></span>(int&nbsp;operationCode,
                     <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;callback)</code>
<div class="block">Reads the response from the server when the operation code has already been read.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#readResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readResponse</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;callback)</code>
<div class="block">Reads the response from the server.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#readSingleResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readSingleResponse</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)</code>
<div class="block">Reads the response from the server.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/SqlResponse.html" title="class in org.firebirdsql.gds.ng.wire">SqlResponse</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#readSqlResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readSqlResponse</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;callback)</code>
<div class="block">Convenience method to read a Response to a SqlResponse</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#readStatusVector--">readStatusVector</a></span>()</code>
<div class="block">Process the status vector and returns the associated <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql"><code>SQLException</code></a>
 instance.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#writeDirect-byte:A-">writeDirect</a></span>(byte[]&nbsp;data)</code>
<div class="block">Writes directly to the <code>OutputStream</code> of the underlying connection.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getXdrStreamAccess--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXdrStreamAccess</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/XdrStreamAccess.html" title="interface in org.firebirdsql.gds.ng.wire">XdrStreamAccess</a>&nbsp;getXdrStreamAccess()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of <a href="../../../../../org/firebirdsql/gds/ng/wire/XdrStreamAccess.html" title="interface in org.firebirdsql.gds.ng.wire"><code>XdrStreamAccess</code></a> for this service.</dd>
</dl>
</li>
</ul>
<a name="readStatusVector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readStatusVector</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>&nbsp;readStatusVector()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Process the status vector and returns the associated <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql"><code>SQLException</code></a>
 instance.
 <p>
 NOTE: This method <b>returns</b> the SQLException read from the
 status vector, and only <b>throws</b> SQLException when an error occurs
 processing the status ector.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SQLException from the status vector</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - for errors reading or processing the status vector</dd>
</dl>
</li>
</ul>
<a name="readResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readResponse</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a>&nbsp;readResponse(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;callback)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                      <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Reads the response from the server.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>callback</code> - Callback object for warnings, <code>null</code> for default callback</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire"><code>Response</code></a> read.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors returned from the server, or when attempting to read</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - For errors reading the response from the connection.</dd>
</dl>
</li>
</ul>
<a name="readOperationResponse-int-org.firebirdsql.gds.ng.WarningMessageCallback-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readOperationResponse</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a>&nbsp;readOperationResponse(int&nbsp;operationCode,
                               <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;callback)
                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                               <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Reads the response from the server when the operation code has already been read.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>operationCode</code> - The operation code</dd>
<dd><code>callback</code> - Callback object for warnings, <code>null</code> for default callback</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire"><code>Response</code></a> read.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors returned from the server, or when attempting to read</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - For errors reading the response from the connection.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html#readResponse-org.firebirdsql.gds.ng.WarningMessageCallback-"><code>readResponse(WarningMessageCallback)</code></a></dd>
</dl>
</li>
</ul>
<a name="readGenericResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readGenericResponse</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a>&nbsp;readGenericResponse(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;callback)
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                                    <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Convenience method to read a Response to a GenericResponse</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>callback</code> - Callback object for warnings, <code>null</code> for default callback</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>GenericResponse</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors returned from the server, or when attempting to
         read.</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - For errors reading the response from the connection.</dd>
</dl>
</li>
</ul>
<a name="readSqlResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readSqlResponse</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/SqlResponse.html" title="class in org.firebirdsql.gds.ng.wire">SqlResponse</a>&nbsp;readSqlResponse(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;callback)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                            <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Convenience method to read a Response to a SqlResponse</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>callback</code> - Callback object for warnings, <code>null</code> for default callback</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SqlResponse</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors returned from the server, or when attempting to
         read.</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - For errors reading the response from the connection.</dd>
</dl>
</li>
</ul>
<a name="enqueueDeferredAction-org.firebirdsql.gds.ng.wire.DeferredAction-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enqueueDeferredAction</h4>
<pre>void&nbsp;enqueueDeferredAction(<a href="../../../../../org/firebirdsql/gds/ng/wire/DeferredAction.html" title="interface in org.firebirdsql.gds.ng.wire">DeferredAction</a>&nbsp;deferredAction)</pre>
<div class="block">Enqueue a deferred action.
 <p>
 FbDatabase implementations that do not support deferred actions are allowed to throw an
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang"><code>UnsupportedOperationException</code></a>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deferredAction</code> - Deferred action</dd>
</dl>
</li>
</ul>
<a name="consumePackets-int-org.firebirdsql.gds.ng.WarningMessageCallback-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>consumePackets</h4>
<pre>void&nbsp;consumePackets(int&nbsp;numberOfResponses,
                    <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)</pre>
<div class="block">Consumes packets notifying for warnings, but ignoring exceptions thrown from the packet.
 <p>
 This method should only be used inside the implementation if either packets need to be ignored,
 or to ensure that there is no backlog of packets (eg when an exception occurs during processing of multiple
 package responses).
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numberOfResponses</code> - Number of responses to consume.</dd>
<dd><code>warningCallback</code> - Callback for warnings</dd>
</dl>
</li>
</ul>
<a name="processDeferredActions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processDeferredActions</h4>
<pre>void&nbsp;processDeferredActions()</pre>
<div class="block">Processes any deferred actions. Protocol versions that do not support deferred actions should simply do nothing.</div>
</li>
</ul>
<a name="readSingleResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readSingleResponse</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a>&nbsp;readSingleResponse(<a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                            <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Reads the response from the server.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>warningCallback</code> - Callback object for signalling warnings, <code>null</code> to register warning on the default callback</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Response</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors returned from the server, or when attempting to
         read</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - For errors reading the response from the connection.</dd>
</dl>
</li>
</ul>
<a name="processResponse-org.firebirdsql.gds.ng.wire.Response-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processResponse</h4>
<pre>void&nbsp;processResponse(<a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a>&nbsp;response)
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>response</code> - Response to process</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors returned from the server.</dd>
</dl>
</li>
</ul>
<a name="processResponseWarnings-org.firebirdsql.gds.ng.wire.Response-org.firebirdsql.gds.ng.WarningMessageCallback-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processResponseWarnings</h4>
<pre>void&nbsp;processResponseWarnings(<a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a>&nbsp;response,
                             <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningCallback)</pre>
<div class="block">Checks if the response included a warning and signals that warning to the
 WarningMessageCallback.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>response</code> - Response to process</dd>
</dl>
</li>
</ul>
<a name="writeDirect-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeDirect</h4>
<pre>void&nbsp;writeDirect(byte[]&nbsp;data)
          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Writes directly to the <code>OutputStream</code> of the underlying connection.
 <p>
 Use of this method might lead to hard to find race conditions in the protocol. It is currently only used
 to allow <a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html#cancelOperation-int-"><code>FbDatabase.cancelOperation(int)</code></a> to work.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - Data to write</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - If there is no socket, the socket is closed, or for errors writing to the socket.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#writeDirect-byte:A-"><code>WireConnection.writeDirect(byte[])</code></a></dd>
</dl>
</li>
</ul>
<a name="authReceiveResponse-org.firebirdsql.gds.ng.wire.FbWireAttachment.AcceptPacket-org.firebirdsql.gds.ng.dbcrypt.DbCryptCallback-org.firebirdsql.gds.ng.wire.FbWireOperations.ProcessAttachCallback-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>authReceiveResponse</h4>
<pre>void&nbsp;authReceiveResponse(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.AcceptPacket.html" title="class in org.firebirdsql.gds.ng.wire">FbWireAttachment.AcceptPacket</a>&nbsp;acceptPacket,
                         <a href="../../../../../org/firebirdsql/gds/ng/dbcrypt/DbCryptCallback.html" title="interface in org.firebirdsql.gds.ng.dbcrypt">DbCryptCallback</a>&nbsp;dbCryptCallback,
                         <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.ProcessAttachCallback.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireOperations.ProcessAttachCallback</a>&nbsp;processAttachCallback)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Receive authentication response from the server.
 <p>
 This method is only relevant for protocol V13 or higher.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>acceptPacket</code> - Packet with <code>op_cond_accept</code> data, or <code>null</code> when the data should be read from the
         connection.</dd>
<dd><code>dbCryptCallback</code> - Database encryption callback (ignored by protocols v12 and lower)</dd>
<dd><code>processAttachCallback</code> - Callback for processing the final attach response</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - For errors reading the response from the connection.</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors returned from the server, or when attempting to
         read.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.ProcessAttachCallback.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/FbWireOperations.html" target="_top">Frames</a></li>
<li><a href="FbWireOperations.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
